digiKam Developer Documentation: Digikam::Setup Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::Setup Class Reference
Inheritance diagram for Digikam::Setup:

## Public Types
enum | Page { LastPageUsed = -1 , DatabasePage = 0 , CollectionsPage , AlbumViewPage , ToolTipPage , MetadataPage , TemplatePage , EditorPage , ICCPage , LightTablePage , SurveyPage , GeolocationPage , CameraPage , PluginsPage , MiscellaneousPage , SetupPageEnumLast }
Public Types inherited from Digikam::DConfigDlg
enum | FaceType { Auto = DConfigDlgView::Auto , Plain = DConfigDlgView::Plain , List = DConfigDlgView::List , Tree = DConfigDlgView::Tree , Tabbed = DConfigDlgView::Tabbed }

## Public Member Functions
void | setTemplate (const Template &t)
QSize | sizeHint () const override
Public Member Functions inherited from Digikam::DConfigDlg
| DConfigDlg (QWidget *const parent=nullptr, Qt::WindowFlags flags=Qt::WindowFlags())
| Creates a new page dialog.
| ~DConfigDlg () override
| Destroys the page dialog.
void | addActionButton (QAbstractButton *const button)
| Set an action button.
void | addPage (DConfigDlgWdgItem *const item)
| Adds a new top level page to the dialog.
DConfigDlgWdgItem * | addPage (QWidget *const widget, const QString &name)
| Adds a new top level page to the dialog.
void | addSubPage (DConfigDlgWdgItem *const parent, DConfigDlgWdgItem *const item)
| Inserts a new sub page in the dialog.
DConfigDlgWdgItem * | addSubPage (DConfigDlgWdgItem *const parent, QWidget *const widget, const QString &name)
| Inserts a new sub page in the dialog.
QPushButton * | button (QDialogButtonBox::StandardButton which) const
| Returns the QPushButton corresponding to the standard button which, or 0 if the standard button doesn't exist in this dialog.
DConfigDlgWdgItem * | currentPage () const
| Returns the.
void | insertPage (DConfigDlgWdgItem *const before, DConfigDlgWdgItem *const item)
| Inserts a new page in the dialog.
DConfigDlgWdgItem * | insertPage (DConfigDlgWdgItem *const before, QWidget *const widget, const QString &name)
| Inserts a new page in the dialog.
void | removePage (DConfigDlgWdgItem *const item)
| Removes the page associated with the given.
void | setConfigGroup (const QString &group)
| Sets the config group name for restore or save dialog window size.
void | setCurrentPage (DConfigDlgWdgItem *const item)
| Sets the page which is associated with the given.
void | setFaceType (FaceType faceType)
| Sets the face type of the dialog.
void | setStandardButtons (QDialogButtonBox::StandardButtons buttons)
| Sets the collection of standard buttons displayed by this dialog.

## Static Public Member Functions
static QStringList | cleanUserFilterString (const QString &filter, const bool caseSensitive=false, const bool useSemicolon=false)
static bool | execDialog (Page page=LastPageUsed)
| Show a setup dialog.
static bool | execDialog (QWidget *const parent, Page page=LastPageUsed)
static bool | execExifTool (QWidget *const parent)
static bool | execGeolocation (QWidget *const parent, int tab)
static bool | execLocalize (QWidget *const parent)
static bool | execMetadataFilters (QWidget *const parent, int tab)
static bool | execSinglePage (Page page)
| Show a setup dialog.
static bool | execSinglePage (QWidget *const parent, Page page)
static bool | execTemplateEditor (QWidget *const parent, const Template &t)
static void | onlineVersionCheck ()

## Additional Inherited Members
Signals inherited from Digikam::DConfigDlg
void | currentPageChanged (DConfigDlgWdgItem *current, DConfigDlgWdgItem *before)
| This signal is emitted whenever the current page has changed.
void | pageRemoved (DConfigDlgWdgItem *page)
| This signal is emitted whenever a page has been removed.
Protected Member Functions inherited from Digikam::DConfigDlg
| DConfigDlg (DConfigDlgPrivate &dd, DConfigDlgWdg *const widget, QWidget *const parent, Qt::WindowFlags flags=Qt::WindowFlags())
| DConfigDlg (DConfigDlgWdg *const widget, QWidget *const parent, Qt::WindowFlags flags=Qt::WindowFlags())
| This constructor can be used by subclasses to provide a custom page widget.
QDialogButtonBox * | buttonBox ()
| Returns the button box of the dialog or 0 if no button box is set.
const QDialogButtonBox * | buttonBox () const
| Returns the button box of the dialog or 0 if no button box is set.
DConfigDlgWdg * | pageWidget ()
| Returns the page widget of the dialog or 0 if no page widget is set.
const DConfigDlgWdg * | pageWidget () const
| Returns the page widget of the dialog or 0 if no page widget is set.
void | setButtonBox (QDialogButtonBox *const box)
| Set the button box of the dialog.
void | setPageWidget (DConfigDlgWdg *const widget)
| Set the page widget of the dialog.
void | showEvent (QShowEvent *) override
Protected Attributes inherited from Digikam::DConfigDlg
DConfigDlgPrivate *const | d_ptr = nullptr

## Member Function Documentation

## ◆ execDialog()

bool Digikam::Setup::execDialog | ( | Page | page = `LastPageUsed` | ) |
| static

The specified page will be selected. True is returned if the dialog was closed with Ok.

## ◆ execSinglePage()

bool Digikam::Setup::execSinglePage | ( | Page | page | ) |
| static

Only the specified page will be available.